const state = {
    date: null,
    loadingDate: true
}

const getters = {
    /**
     * 
     * @param {*} state 
     */
    date(state) {
        return state.date
    },
    /**
     * 
     * @param {*} state 
     */
    loadingDate(state) {
        return state.loadingDate
    }
}

const mutations = {
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setDate(state, payload) {
        state.date = payload
    },
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setLoadingDate(state, payload) {
        state.loadingDate = !!payload
    }
}

const actions = {
    /**
     * 
     * @param {*} param0 
     * @param {*} payload 
     */
    initDate({ commit }, payload) {
        commit('setDate', payload)
        commit('setLoadingDate', false)
    },
    /**
     * 
     * @param {*} param0 
     * @param {*} payload 
     */
    resetDate({ commit }, payload) {
        commit('setLoadingDate', true)
        commit('setDate', [])
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}